package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;
import java.util.Date;

import javax.ejb.FinderException;

// CreditCard EJB's Remote interface
public interface CreditCardHomeRemote extends javax.ejb.EJBHome {

    public CreditCardLocal create(Date exp, String numb, String name, String org)
        throws javax.ejb.CreateException;
    
    public CreditCardLocal findByPrimaryKey(Object primaryKey)
        throws javax.ejb.FinderException;

    public Collection findAllCreditCards() throws FinderException;

}


